Bug Hunting Session
Bug 94060 - Iteration steps number
Summary: Iteration steps number
Status: RESOLVED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
Inherited From OOo
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:5.1.0 target:5.0.3
Keywords:
Depends on:
Blocks:
 
Reported: 2015-09-09 15:00 UTC by Szarka Zsolt
Modified: 2016-10-25 19:24 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Szarka Zsolt 2015-09-09 15:00:39 UTC
Dear Sirs!
I have used your program since 2007. I like it. I have official M$ Office, but I don't use it, just the mail program.
Nowadays I found a bug in the Calc, and a can't solve it, only with the Excel (save as xls, open it Excel, print it).
I use calculation sheet with circular reference very often. In my case the preciseness is insuficient regular case. I have set the option of iteration numbers, but is limited up to 1000. According to my experience I need 5000 iteration. When I press the F9 (recalculation) it doesn't work.
Do you think the number of iteration 5000 is too high? Why not possible to set it?
Best regards:
Zsolt Szarka 
Budapest, Hungary
Comment 1 Eike Rathke 2015-09-18 10:55:37 UTC
I'd like to know a scenario where 5000 iterations converge to a result but 1000 don't. Could you attach a sample document?
Comment 2 Commit Notification 2015-09-18 11:14:47 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=ef725dc31f6f8b9e34b3c5f2ef514c5a48041684

Resolves: tdf#94060 raise iteration steps upper limit to 32767

It will be available in 5.1.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.
Comment 3 Eike Rathke 2015-09-18 11:18:21 UTC
Pending review https://gerrit.libreoffice.org/18685 for 5-0
Comment 4 Commit Notification 2015-09-18 13:47:51 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-0":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=7335925d4bedb3478b5c720d6a815ab15c8f2f66&h=libreoffice-5-0

Resolves: tdf#94060 raise iteration steps upper limit to 32767

It will be available in 5.0.3.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds
Affected users are encouraged to test the fix and report feedback.